abit ic7-g Thank you

Discussion in 'BIOS Mods' started by Bigal, Mar 4, 2011.

  1. Bigal

    Bigal MDL Junior Member

    Mar 4, 2011
    53
    8
    0
    This is my first post
    I want to say thank you but I dont know who too:)

    I was after a 2.1 bios for my abit ic7-g and have just downloaded it.
    I have already flashed my bios to 2.0 and tested it with xp-mce2005 & OEMBIOS changer installer.exe, I now no longer need a crack as mgadiag.exe confirms all is ok.

    I will test with windows 7 soon, I think I need to do some more reading on win7.

    Thanks again.

    PS, when i went to download the file i was warned by AVG that it could contain a virus.
     
  2. Bigal

    Bigal MDL Junior Member

    Mar 4, 2011
    53
    8
    0
    #2 Bigal, Mar 4, 2011
    Last edited: Mar 4, 2011
    (OP)
    It didnt go as I expected :(
    I thought that a 2.1 bios is backward compatible with previous versions.
    After sucessfully flashing to 2.1 I was unable to get into xp, it asked me to activate windows, even when trying to log in in safe mode.
    I assumed this would work, as my previous 2.0 bios should use the same 4 files, "HP and Compaq CD4E1902" as the 2.1 bios, as it says the same when checked with "award slic mod v1.37", which is (HPQOEMSLIC-MPC HPQ)
    Do i need to run a crack, re-flash the bios to 2.1, boot as normal, run the OEMBIOS changer installer.exe program and check the 4 files, then remove the crack?
     
  3. NoJuan999

    NoJuan999 Experienced SLIC Tool Operator

    Jul 31, 2009
    9,919
    1,930
    300
    XP requires SLP 1.0 String in BIOS for Activation.
    Read up on it in the XP Section of the Forums.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. Bigal

    Bigal MDL Junior Member

    Mar 4, 2011
    53
    8
    0
    Thanks for the reply,
    I have been reading up on it and have seen posts where it says the latest slic bios's are backward compatible.
    As i understand it, 1.0 for xp, 2.0 for vista, 2.1 for vista and win7.
    I have xp-mce working ATM with slic 2.0, doesn't that shows that 1.0 is only the minumum needed?
    I have another hdd with win7 on and need 2.1 for that and i dual boot by choosing the hdd in the bios.
     
  5. NoJuan999

    NoJuan999 Experienced SLIC Tool Operator

    Jul 31, 2009
    9,919
    1,930
    300
    SLIC 2.1 is Backwards Compatible with SLIC 2.0 BUT SLP 1.0 is completely Unrelated to SLIC !!!!!!!!!!!!
    You can use the SLIC AMI or Award SLIC tools to add SLP 1.0 to an AMI or Award BIOS.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  6. Bigal

    Bigal MDL Junior Member

    Mar 4, 2011
    53
    8
    0
    If slic 2.1 is backward compatible with 2.0 and i have a 2.0 bios working with xp-mce, wont a 2.1 work aswell?
     
  7. weinter

    weinter MDL Member

    Feb 19, 2009
    244
    9
    10
    Your Windows Xp isn't activated because it has SLIC 2.0 it is because it has SLIC 1.0 which add a OEM String to the BIOS.
    If you didn't add a SLIC 1.0 OEM String when you remodified your BIOS with SLIC2.1 your Xp will become deactivated...
     
  8. Bigal

    Bigal MDL Junior Member

    Mar 4, 2011
    53
    8
    0
    Ahhh I think I get it now :)
    I got the bioses from here, I tried to mod my own but failed :(
    This is still new to me and I am trying to learn.
    Thanks for explaining.
    Is it possible to have SLIC 2.1 & "SLIC 1.0"
    Alan
     
  9. weinter

    weinter MDL Member

    Feb 19, 2009
    244
    9
    10
    #9 weinter, Mar 5, 2011
    Last edited: Mar 5, 2011
    Yes if you mod it yourself and include OEMString Option(SLIC 1.0) with SLIC2.1 (Or request this option when asking someone to do it for you), but pardon me if you gonna use Windows Xp why do you need SLIC 2.1?
     
  10. Bigal

    Bigal MDL Junior Member

    Mar 4, 2011
    53
    8
    0
    I Dual boot xp-mce and win7 ultimate.
    I havent fully gone over to win7 yet.

    So just to confirm, I put in a request for a slic 2.1 with slp1 inc, for xp-mce and win7
     
  11. weinter

    weinter MDL Member

    Feb 19, 2009
    244
    9
    10
    Yep but I don't remember if the OEMString (SLIC 1.0) is vendor specific to the OEM files in the installation.
    I think you ought to remember when you first did the mod.
     
  12. Bigal

    Bigal MDL Junior Member

    Mar 4, 2011
    53
    8
    0
    I use a slic 2.0 bios from here at the moment and used VLK to OEM from here to change the 4 windows files, which are HP and Compaq CD4E1902.
    If I have done it incorrectly let me know :) it works though lol :)
     
  13. weinter

    weinter MDL Member

    Feb 19, 2009
    244
    9
    10
    Then you probably need a SLIC 2.1 mod with the OEM certificate you are going to use and with a SLIC1.0 OEMString that belongs to HP and Compaq.
     
  14. 911medic

    911medic MDL Guru

    Aug 13, 2008
    5,778
    489
    180
    #14 911medic, Mar 7, 2011
    Last edited: Mar 7, 2011
    For the record:

    SLP 1.0 = Simple text string at a certain hex address to activate XP OS versions

    SLIC 2.0 = Code located in a bios module that allows activation of Vista

    SLIC 2.1 = Code as 2.0 but updated to activate Window 7. Some are backward compatible.

    SLP 1.0 and SLIC 2.x are unrelated technologies as follows:

    SLP 1.0 requires 4 oembios files, a string in bios and a serial key for OEM-SLP

    SLIC activation requires SLIC in bios, certificate in OS and serial key for OEM-SLP

    MAke any sense??

    Any previous cracks or loaders can make any attempts to activate failure....
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...